Last Comment Bug 534641 - Selecting Multiple Message Filters to run in other folders
: Selecting Multiple Message Filters to run in other folders
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3, regression
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3.1a1
Assigned To: Kent James (:rkent)
:
Mentors:
: 534890 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 08:49 PST by Abraham
Modified: 2010-02-11 00:10 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.1+
.1-fixed


Attachments
Could it be this simple? (774 bytes, patch)
2009-12-22 14:48 PST, Kent James (:rkent)
no flags Details | Diff | Review
Naaah, allowing multiple selection exposed a delete bug (1.66 KB, patch)
2009-12-22 16:24 PST, Kent James (:rkent)
mkmelin+mozilla: review+
standard8: approval‑thunderbird3.0.1+
Details | Diff | Review

Description Abraham 2009-12-14 08:49:34 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.5) Gecko/20091204 Lightning/1.0b2pre Thunderbird/3.0

I Bring up message filters and try to select 10 or 20 filters that I want to run in a folder (ie.  Old inbox)  I am unable to do so.  This worked in previous versions.

I even tried with no theme addons just incase

Reproducible: Always

Steps to Reproduce:
1. Open Message Filters
2. Try to select more than one using shift or any other method??
3. It simply does not highlight more than one
Actual Results:  
It used to highlight more than one and you could select run selected filters on .....  But now it is one by one.  Very Painful

Expected Results:  
Should be able to select all and search
Comment 1 Kent James (:rkent) 2009-12-14 09:50:09 PST
I can confirm that this is happening, plus I tested on TB2 and you could select multiple filters there. So this is a regression. I have not idea why though, as there were very few changes to the filter list editor.
Comment 2 Ludovic Hirlimann [:Usul] 2009-12-15 04:18:42 PST
(In reply to comment #1)
> I can confirm that this is happening, plus I tested on TB2 and you could select
> multiple filters there. So this is a regression. I have not idea why though, as
> there were very few changes to the filter list editor.

Might be a CORE change !
Comment 3 Kent James (:rkent) 2009-12-15 08:22:06 PST
*** Bug 534890 has been marked as a duplicate of this bug. ***
Comment 4 Kent James (:rkent) 2009-12-22 11:49:13 PST
I hope to at least look at this bug soon, and if I can fix it I'd like it on the branch.
Comment 5 Kent James (:rkent) 2009-12-22 13:32:57 PST
For the record, I changed this to Mailnews Core/Filters because that's where I look for bugs like this. But the FilterListDialog is forked between SM and TB, and only TB sees this problem.
Comment 6 Kent James (:rkent) 2009-12-22 14:48:40 PST
Created attachment 418917 [details] [diff] [review]
Could it be this simple?

This simple patch worked on my quick tests.
Comment 7 Kent James (:rkent) 2009-12-22 16:24:32 PST
Created attachment 418934 [details] [diff] [review]
Naaah, allowing multiple selection exposed a delete bug
Comment 8 foredoomed 2009-12-24 23:11:34 PST
(In reply to comment #7)
> Created an attachment (id=418934) [details]
> Naaah, allowing multiple selection exposed a delete bug


How can apply patch?
Comment 9 Magnus Melin 2009-12-25 11:05:33 PST
Comment on attachment 418934 [details] [diff] [review]
Naaah, allowing multiple selection exposed a delete bug

Looks good, thx! r=mkmelin
Comment 10 Kent James (:rkent) 2009-12-25 13:51:14 PST
"How can apply patch?"

Normally you would need a development environment setup for this, so that you can compile mailnews code. Do you have this setup? It is not a trivial task.

If you just want this to work for you, I will land this bug in a day or two, and then you will be able to pick it up in a nightly build.
Comment 11 Kent James (:rkent) 2009-12-28 11:05:44 PST
Checked into trunk http://hg.mozilla.org/comm-central/rev/c7081c7489e2
Comment 12 Blake Winton (:bwinton) (:☕️) 2010-01-10 08:06:26 PST
Landed on 1.9.1 as <http://hg.mozilla.org/releases/comm-1.9.1/rev/1e428f88e7b4>.

Note You need to log in before you can comment on or make changes to this bug.